curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/conversation \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/conversation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"league_id": "<string>",
"player_id": "<string>",
"round": 123,
"pending": true,
"model": "<string>",
"system": "<string>",
"context": "<string>",
"response": [
{}
],
"stop_reason": "<string>",
"reasoning": "<string>",
"error": "<string>",
"latency_s": 123,
"rounds_available": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get campaign conversation
Return a retained strategist exchange for one player owned by the caller.
Authorizations
Bearer token issued by Softmax
Path Parameters
League containing the strategist conversation.
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Owned player whose conversation should be returned.
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Campaign round to return; omit for the latest retained conversation.
x >= 1Response
Successful Response
League containing the campaign conversation.
Player whose strategist conversation is returned.
Campaign round associated with the conversation.
Whether the conversation belongs to the in-flight round.
Strategist model used for the conversation.
System prompt sent to the strategist.
Rendered board context and standing orders sent to the strategist.
Raw strategist response blocks, when the call succeeded.
Provider stop reason for the strategist response.
Strategist reasoning retained for the owning player.
Strategist call failure, when present.
Strategist call duration in seconds.
Retained round numbers with conversations for this player.